<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('tercero_id')->references('id')->on('terceros')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_rh')->references('id')->on('tipos_rh')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_escolaridad')->references('id')->on('escolaridades')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_ocupacion')->references('id')->on('ocupaciones')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_pertenencia')->references('id')->on('pertenencias_etnicas')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_administradora')->references('id')->on('pacientes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_contrato')->references('id')->on('pacientes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_tipo_usuario')->references('id')->on('pacientes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_pais_procedencia')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_departamento_procedencia')->references('id')->on('departamentos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_municipio_procedencia')->references('id')->on('municipios')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_departamento_residencia')->references('id')->on('departamentos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->foreign('id_municipio_residencia')->references('id')->on('municipios')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('departamentos', function(Blueprint $table) {
			$table->foreign('id_pais')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('municipios', function(Blueprint $table) {
			$table->foreign('id_departamento')->references('id')->on('departamentos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('tercero_id')->references('id')->on('terceros')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Permisos', function(Blueprint $table) {
			$table->foreign('rol_id')->references('id')->on('roles')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Permisos', function(Blueprint $table) {
			$table->foreign('modulo_item_id')->references('id')->on('modulos_items')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('terceros', function(Blueprint $table) {
			$table->foreign('tipo_identificacion_id')->references('id')->on('tipos_identificacion')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('terceros', function(Blueprint $table) {
			$table->foreign('genero')->references('id')->on('genero')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('roles_usuarios', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('roles_usuarios', function(Blueprint $table) {
			$table->foreign('rol_id')->references('id')->on('roles')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('sedes_configuracion', function(Blueprint $table) {
			$table->foreign('sede_id')->references('id')->on('sedes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->foreign('sede_id')->references('id')->on('sedes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->foreign('documento_id')->references('id')->on('documentos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->foreign('paciente_id')->references('id')->on('pacientes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('liquidaciones_productos', function(Blueprint $table) {
			$table->foreign('liquidacion_id')->references('id')->on('liquidaciones')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('liquidaciones_productos', function(Blueprint $table) {
			$table->foreign('producto_id')->references('id')->on('productos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('liquidaciones_servicios', function(Blueprint $table) {
			$table->foreign('liquidacion_id')->references('id')->on('liquidaciones')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('liquidaciones_servicios', function(Blueprint $table) {
			$table->foreign('servicio_id')->references('id')->on('servicios')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('documentos', function(Blueprint $table) {
			$table->foreign('tipo_documento_id')->references('id')->on('tipos_documento')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->foreign('sede_id')->references('id')->on('sedes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->foreign('documento_id')->references('id')->on('documentos')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->foreign('tercero_id')->references('id')->on('terceros')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_tercero_id_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_rh_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_escolaridad_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_ocupacion_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_pertenencia_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_administradora_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_contrato_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_tipo_usuario_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_pais_procedencia_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_departamento_procedencia_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_municipio_procedencia_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_departamento_residencia_foreign');
		});
		Schema::table('pacientes', function(Blueprint $table) {
			$table->dropForeign('pacientes_id_municipio_residencia_foreign');
		});
		Schema::table('departamentos', function(Blueprint $table) {
			$table->dropForeign('departamentos_id_pais_foreign');
		});
		Schema::table('municipios', function(Blueprint $table) {
			$table->dropForeign('municipios_id_departamento_foreign');
		});
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_tercero_id_foreign');
		});
		Schema::table('Permisos', function(Blueprint $table) {
			$table->dropForeign('Permisos_rol_id_foreign');
		});
		Schema::table('Permisos', function(Blueprint $table) {
			$table->dropForeign('Permisos_modulo_item_id_foreign');
		});
		Schema::table('terceros', function(Blueprint $table) {
			$table->dropForeign('terceros_tipo_identificacion_id_foreign');
		});
		Schema::table('terceros', function(Blueprint $table) {
			$table->dropForeign('terceros_genero_foreign');
		});
		Schema::table('roles_usuarios', function(Blueprint $table) {
			$table->dropForeign('roles_usuarios_user_id_foreign');
		});
		Schema::table('roles_usuarios', function(Blueprint $table) {
			$table->dropForeign('roles_usuarios_rol_id_foreign');
		});
		Schema::table('sedes_configuracion', function(Blueprint $table) {
			$table->dropForeign('sedes_configuracion_sede_id_foreign');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_sede_id_foreign');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_documento_id_foreign');
		});
		Schema::table('liquidaciones', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_paciente_id_foreign');
		});
		Schema::table('liquidaciones_productos', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_productos_liquidacion_id_foreign');
		});
		Schema::table('liquidaciones_productos', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_productos_producto_id_foreign');
		});
		Schema::table('liquidaciones_servicios', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_servicios_liquidacion_id_foreign');
		});
		Schema::table('liquidaciones_servicios', function(Blueprint $table) {
			$table->dropForeign('liquidaciones_servicios_servicio_id_foreign');
		});
		Schema::table('documentos', function(Blueprint $table) {
			$table->dropForeign('documentos_tipo_documento_id_foreign');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->dropForeign('comprobantes_sede_id_foreign');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->dropForeign('comprobantes_documento_id_foreign');
		});
		Schema::table('comprobantes', function(Blueprint $table) {
			$table->dropForeign('comprobantes_tercero_id_foreign');
		});
	}
}